GDCM 3.2.1

Public Member Functions | List of all members
gdcm::PixmapToPixmapFilter Class Reference

PixmapToPixmapFilter class. More...

`#include <gdcmPixmapToPixmapFilter.h>`

Inheritance diagram for gdcm::PixmapToPixmapFilter:
[legend]
Collaboration diagram for gdcm::PixmapToPixmapFilter:
[legend]

## Public Member Functions
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()=default
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
const Pixmap & | GetOutputAsPixmap () const
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()=default
const Bitmap & | GetOutput () const
| Get Output image.
const Bitmap & | GetOutputAsBitmap () const
void | SetInput (const Bitmap &image)
| Set input image.

## Additional Inherited Members
Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

PixmapToPixmapFilter class.

Super class for all filter taking an image and producing an output image

Examples
  StandardizeFiles.cs.

## Constructor & Destructor Documentation

## ◆ PixmapToPixmapFilter()

gdcm::PixmapToPixmapFilter::PixmapToPixmapFilter | ( |  | ) |

## ◆ ~PixmapToPixmapFilter()

gdcm::PixmapToPixmapFilter::~PixmapToPixmapFilter | ( |  | ) |
| default

## Member Function Documentation

## ◆ GetInput()

Pixmap & gdcm::PixmapToPixmapFilter::GetInput | ( |  | ) |

## ◆ GetOutput()

const Pixmap & gdcm::PixmapToPixmapFilter::GetOutput | ( |  | ) | const

Get Output image.

## ◆ GetOutputAsPixmap()

const Pixmap & gdcm::PixmapToPixmapFilter::GetOutputAsPixmap | ( |  | ) | const

The documentation for this class was generated from the following file:

- gdcmPixmapToPixmapFilter.h